Audit
Put back the article as it was before a fix
Restores the snapshot taken when the fix was applied. Snapshots of one
article are undone newest first (audit_fix_state_conflict otherwise) and
expire (audit_fix_not_restorable).
POST
/
profiles
/
{profile_id}
/
audit
/
fixes
/
{id}
/
restorations
Error
A valid request URL is required to generate request examples{
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fix_type": "<string>",
"status": "pending",
"mode": "manual",
"units": 1,
"credits": 1,
"free_regeneration_available": true,
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restorable": true,
"snapshot_expires_at": "2023-11-07T05:31:56Z",
"recheck_pending": true,
"applied_at": "2023-11-07T05:31:56Z",
"restored_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>"
}
],
"credits": 1,
"receipt": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {
"request_id": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Scopes
Headers
Path Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fix_type": "<string>",
"status": "pending",
"mode": "manual",
"units": 1,
"credits": 1,
"free_regeneration_available": true,
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restorable": true,
"snapshot_expires_at": "2023-11-07T05:31:56Z",
"recheck_pending": true,
"applied_at": "2023-11-07T05:31:56Z",
"restored_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>"
}
],
"credits": 1,
"receipt": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {
"request_id": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
